#define con_init
// Initializes the four functions
// You can provide also a relative path to the dll.


globalvar _con_dll, _con_start, _con_get, _con_stop, _con_run;
if filename_drive(argument0)  = "" // if the given argument has no drive letter (this means you ave suplied only the DLL naeme or a relative path)
_con_dll = working_directory+"\"+argument0 // then asign the working directory to the file name
else _con_dll = argument0; // else use the given path directly

if !file_exists(_con_dll)
{
show_message("Connected Dll does not exist!");
game_end();
}

//-//
_con_start = external_define(_con_dll, "Start", dll_cdecl, ty_real, 2, ty_string, ty_real);
_con_get = external_define(_con_dll, "getStatus", dll_cdecl, ty_real, 0);
_con_stop = external_define(_con_dll, "Stop", dll_cdecl, ty_real, 0);
_con_run = external_define(_con_dll, "runCmd", dll_cdecl, ty_real, 2, ty_string, ty_real);
//-//

#define con_start_check
// Begins the checking in the background, using the adress in agrument0.
// You must use a adress formatted like "www.a-server.de" or "gmc.yoyogames.com", just do not write "http...
// If you provide an empty string, www.google.com will be used.

// Argument1 is the number of seconds to wait between to checks. Use a number like 5 if using for short time.
// If you want to keep this in the background all the time, better use >30


// Note that you can call this function multiple times and each will start a new repeating process..
// This is not really making sense though I'd say.

return(external_call(_con_start,argument0,argument1));

#define con_get_check
// Returns whetehr a conection is available or not if the checking is started (else it will always treturn false).
// Note that It takes about 1-3 seconds after calling con_start_check until this function returns correctly.

return(external_call(_con_get));

#define con_stop_check
// Stops any checking (even if it was started multiple times).

return(external_call(_con_stop));

#define con_execute
// Executes the command line in argument0. A windows-error will appear if the string is not usable.
// argument1 tells whether the Game Maker should wait until execution has finished (true) or not (false).

return(external_call(_con_run,string_replace_all(argument0,'\','/'),argument1));


#define con_free
external_free(_con_dll);

#define directory_delete
// Deletes a folder including subfolders
// argument0: RELATIVE path to the folder
// argument1: whether the script should wait until the deleting finished (1) or whether it should happen in the background (0).

var _pth; _pth = working_directory+"\"+argument0; if directory_exists(_pth) {con_execute('rd /S /Q "'+_pth+'"',argument1); return(1);} else return(0);

